package Desktop::Glob;

our $globfile '/usr/share/mime/globs';

sub new {
  my $me={@_};
  bless $me;

  $globs =  `cat $globfile`;

  while ($globs =~ s/^(.*?):(.*)$//m) {
    $me->{cache}{$1}=$2;
  }

  return $me;
}

sub mime {
  my $me=shift;
  my $glob=shift;

  return $me->{cache}{$glob};
}

1;
